package com.eactive.eai.rms.onl.common.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * <pre>
 * 1. 기능 : 서버정보를 DB에서 가져 온다.
 * 2. 처리 개요 :
 *     -
 * 3. 주의사항 :
 * </pre>
 * 
 * @author : 박기섭
 * @version : $Revision: 1.12.2.3 $
 * @since : rts 1.0
 * @spring.bean id="tseais001DAO"
 * @spring.property name="dataSource" ref="dataSource"
 */
@Repository("serverInfoDAO")
public class ServerInfoDAOImpl extends SqlMapClientTemplateDao implements ServerInfoDAO {

    /**
    * Logger for this class
    */
    final Logger logger = Logger.getLogger(ServerInfoDAOImpl.class);
    
	@SuppressWarnings("unchecked")
	public List<Map<String, String>> getEaiServerIpList(HashMap paramMap) {
		return template.queryForList("ServerInfo.getOnlServerIpList",paramMap);
	}
	
	@SuppressWarnings("unchecked")
	public List<Map<String, String>> getHostServerIpList(HashMap paramMap) {
		return template.queryForList("ServerInfo.getHostServerIpList",paramMap);
	}
	
	@SuppressWarnings("unchecked")
	public List<Map<String, String>> getBapServerIpList(HashMap paramMap) {
		return template.queryForList("ServerInfo.getBapServerIpList",paramMap);
	}
	
	@SuppressWarnings("unchecked")
	public List<Map<String, String>> getBatServerIpList(HashMap paramMap) {
		return template.queryForList("ServerInfo.getBatServerIpList",paramMap);
	}
}
